package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysInterestSymbolAmountTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface SysInterestSymbolAmountRepository extends BaseRepository<SysInterestSymbolAmountTable> {

    List<SysInterestSymbolAmountTable> getAllByIdIsNotNull();

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysInterestSymbolAmountTable findFirstById(Long id);

    SysInterestSymbolAmountTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysInterestSymbolAmountTable> findAllByIdIn(List<Long> ids);

    List<SysInterestSymbolAmountTable> getAllByIdNotIn(List<Long> ids);

    boolean existsByCode(String code);

}
